Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 609296 - net-analyzer/mtr-0.87 - configure: error: Need definition for struct __res_state_ext but unable to define it.
Summary: net-analyzer/mtr-0.87 - configure: error: Need definition for struct __res_st...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: musl-porting
  Show dependency tree
 
Reported: 2017-02-13 20:54 UTC by Haelwenn (lanodan) Monnier
Modified: 2018-11-30 20:28 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,6.50 KB, text/plain)
2017-02-13 20:54 UTC, Haelwenn (lanodan) Monnier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Haelwenn (lanodan) Monnier 2017-02-13 20:54:51 UTC
Created attachment 463676 [details]
build.log

$ emerge --info net-analyzer/mtr
Portage 2.3.3 (python 3.4.5-final-0, hardened/linux/musl/arm/armv7a, gcc-4.9.3, musl-1.1.16, 3.4.103+ armv7l)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.4.103+-armv7l-with-gentoo-2.3
KiB Mem:      894976 total,     44240 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Mon, 13 Feb 2017 00:45:01 +0000
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
distcc 3.2rc1 armv7a-hardfloat-linux-musleabi [disabled]
app-shells/bash:          4.3_p48-r1::gentoo
dev-lang/perl:            5.22.3_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.4.3::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r3::musl
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3-r99::musl
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/musl:            1.1.16::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

betagarden
    location: /usr/overlay/betagarden
    sync-type: git
    sync-uri: git://anongit.gentoo.org/proj/betagarden.git
    masters: gentoo

lanodanOverlay
    location: /usr/overlay/lanodanOverlay
    sync-type: git
    sync-uri: https://hacktivis.me/git/overlay.git
    masters: gentoo

musl
    location: /usr/overlay/musl
    sync-type: git
    sync-uri: git://anongit.gentoo.org/proj/musl.git
    masters: gentoo

ACCEPT_KEYWORDS="arm"
ACCEPT_LICENSE="* -@EULA"
CBUILD="armv7a-hardfloat-linux-musleabi"
CFLAGS="-O2 -pipe -march=native -mtune=native -mfpu=vfpv3-d16 -mfloat-abi=hard"
CHOST="armv7a-hardfloat-linux-musleabi"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native -mtune=native -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
FEATURES="assume-digests binpkg-logs cgroup config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync network-sandbox news parallel-fetch parallel-install preserve-libs protect-owned python-trace sandbox sfperms strict test test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
INSTALL_MASK="charset.alias"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="arm cacert cli cracklib crypt dane dri gpg hardened headless iconv icu idn ipv6 ldns libressl luajit modules ncurses nptl openmp pam pax_kernel pcre pcre-jit pic rtmp seccomp session ssl tcpd threads unicode urandom xattr zlib" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="musl" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" NGINX_MODULES_HTTP="auth_basic autoindex fancyindex index fastcgi gunzip gzip gzip_static lua metrics perl proxy rewrite scgi ssi stub_status uwsgi" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="dummy fbdev v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Michael Palimaka (kensington) gentoo-dev 2017-02-17 11:18:58 UTC
Could you also please attach /var/tmp/portage/net-analyzer/mtr-0.87/work/mtr-0.87/config.log?
Comment 2 Felix Janda 2017-02-18 11:21:07 UTC
musl's struct __res_state is marked with

/* unused; purely for broken apps */

so it would be very non-trivial to patch v0.87.

On the other hand, upstream has merged the branch "newdns", and since
then compiles fine with musl.

OP, could you try =net-analyzer/mtr-9999?
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2017-02-18 13:13:26 UTC
(In reply to Felix Janda from comment #2)
> On the other hand, upstream has merged the branch "newdns", and since
> then compiles fine with musl.

That's https://github.com/traviscross/mtr/tree/newdns then.
Comment 4 Haelwenn (lanodan) Monnier 2017-02-24 00:52:18 UTC
I can confirm that both master and newdns branches works under musl now.
Comment 5 Haelwenn (lanodan) Monnier 2018-11-30 20:28:39 UTC
I believe it was fixed in V0.88 as newdns branch got merged at that release.

0.92-r1::gentoo is working fine on my musl systems (amd64 and armv7a).